#

API Docs for: 1.4.3
Show: Inherited Protected Private Deprecated

# PIXI.PixiFastShader Class

Defined in: `src/pixi/renderers/webgl/shaders/PixiFastShader.js:6`
Module: PIXI

## Constructor

### `PIXI.PixiFastShader`

()

Defined in `src/pixi/renderers/webgl/shaders/PixiFastShader.js:6`

- Index
- Methods
- Properties

## Item Index

### Methods

- PIXI.PixiFastShader#init

### Properties

- fragmentSrc - The fragment shader.
- program - The WebGL program.
- textureCount - A local texture counter for multi-texture shaders.

## Methods

### `PIXI.PixiFastShader#init`

()

Defined in `src/pixi/renderers/webgl/shaders/PixiFastShader.js:72`

## Properties

### `fragmentSrc - The fragment shader.`

Array

Defined in `src/pixi/renderers/webgl/shaders/PixiFastShader.js:19`

### `program - The WebGL program.`

Any

Defined in `src/pixi/renderers/webgl/shaders/PixiFastShader.js:14`

### `textureCount - A local texture counter for multi-texture shaders.`

Number

Defined in `src/pixi/renderers/webgl/shaders/PixiFastShader.js:63`